<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: World Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d21/class_world.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">World Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for World:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d21/class_world.png" usemap="#World_map" alt=""/>
  <map id="World_map" name="World_map">
<area href="../../d5/d78/group___enforce.html#dd/d17/class_managed" title="TODO doc." alt="Managed" shape="rect" coords="0,0,65,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af0755f5486fc923b410e30f324f65ba2"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#af0755f5486fc923b410e30f324f65ba2">CheckSoundObstruction</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source, <a class="el" href="../../d9/db9/classbool.html">bool</a> inSource, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> obstruction, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> occlusion)</td></tr>
<tr class="separator:af0755f5486fc923b410e30f324f65ba2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa892b4089f81ee6c1551ff56ae67e60"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#afa892b4089f81ee6c1551ff56ae67e60">GetPlayerList</a> (out <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; Man &gt; players)</td></tr>
<tr class="separator:afa892b4089f81ee6c1551ff56ae67e60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8c8e4358cb14de9ab965669b9303ecf"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#af8c8e4358cb14de9ab965669b9303ecf">GetDate</a> (out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> year, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> month, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> day, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> hour, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> minute)</td></tr>
<tr class="memdesc:af8c8e4358cb14de9ab965669b9303ecf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get actual ingame world time.  <a href="../../d3/d21/class_world.html#af8c8e4358cb14de9ab965669b9303ecf">More...</a><br /></td></tr>
<tr class="separator:af8c8e4358cb14de9ab965669b9303ecf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad51a579705dde037e07412794007c61"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#aad51a579705dde037e07412794007c61">SetDate</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> year, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> month, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> day, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> hour, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> minute)</td></tr>
<tr class="memdesc:aad51a579705dde037e07412794007c61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets actual ingame world time.  <a href="../../d3/d21/class_world.html#aad51a579705dde037e07412794007c61">More...</a><br /></td></tr>
<tr class="separator:aad51a579705dde037e07412794007c61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4fb6d37f20a98fa6b8b0f61cd5b7afc"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#ad4fb6d37f20a98fa6b8b0f61cd5b7afc">GetLatitude</a> ()</td></tr>
<tr class="separator:ad4fb6d37f20a98fa6b8b0f61cd5b7afc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2f333fa9be898a7e6ad8538f9570526"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#ac2f333fa9be898a7e6ad8538f9570526">GetLongitude</a> ()</td></tr>
<tr class="separator:ac2f333fa9be898a7e6ad8538f9570526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59c8af79a1b477a7016fc1dfbaf3bcdd"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a59c8af79a1b477a7016fc1dfbaf3bcdd">GetMoonIntensity</a> ()</td></tr>
<tr class="separator:a59c8af79a1b477a7016fc1dfbaf3bcdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a82407d67e066df102b4ec4b48f7a2f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a2a82407d67e066df102b4ec4b48f7a2f">GetSunOrMoon</a> ()</td></tr>
<tr class="separator:a2a82407d67e066df102b4ec4b48f7a2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5b322dd815ca84752d1abb46e884f90"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#ac5b322dd815ca84752d1abb46e884f90">IsNight</a> ()</td></tr>
<tr class="separator:ac5b322dd815ca84752d1abb46e884f90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d508464bc7e47cec3bc13b867f968bc"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a7d508464bc7e47cec3bc13b867f968bc">GetEyeAccom</a> ()</td></tr>
<tr class="separator:a7d508464bc7e47cec3bc13b867f968bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8863b89ecd9c4db97fa469efc3d322b3"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a8863b89ecd9c4db97fa469efc3d322b3">SetEyeAccom</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> eyeAccom)</td></tr>
<tr class="separator:a8863b89ecd9c4db97fa469efc3d322b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a254a056085f1478dd4921c7d6c01d81a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a254a056085f1478dd4921c7d6c01d81a">StartFpsBenchmark</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> sectorsCount, <a class="el" href="../../d4/dc3/classfloat.html">float</a> preloadDistance, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fpsLimitRed, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fpsLimitGreen, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fpsLimitBlue, <a class="el" href="../../d4/dc3/classfloat.html">float</a> minX, <a class="el" href="../../d4/dc3/classfloat.html">float</a> minY, <a class="el" href="../../d4/dc3/classfloat.html">float</a> maxX, <a class="el" href="../../d4/dc3/classfloat.html">float</a> maxY)</td></tr>
<tr class="separator:a254a056085f1478dd4921c7d6c01d81a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24e3e498f42edc14543934e7ffedefc8"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a24e3e498f42edc14543934e7ffedefc8">StartFpsBenchmarkWithMask</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> preloadDistance, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fpsLimitRed, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fpsLimitGreen, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fpsLimitBlue)</td></tr>
<tr class="separator:a24e3e498f42edc14543934e7ffedefc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af26f142ee60875a3359b3d2d7ceed5e5"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#af26f142ee60875a3359b3d2d7ceed5e5">StartFpsBenchmarkViews</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> xmlFileName, <a class="el" href="../../d4/dc3/classfloat.html">float</a> preloadDistance)</td></tr>
<tr class="separator:af26f142ee60875a3359b3d2d7ceed5e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a023787857401db35d4a21aa7640fa1f0"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a023787857401db35d4a21aa7640fa1f0">SetBuldozerWaterEnabled</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a023787857401db35d4a21aa7640fa1f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa35d99a43dcd0ef267fe65200c747478"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#aa35d99a43dcd0ef267fe65200c747478">SetPreferredViewDistance</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> distance)</td></tr>
<tr class="memdesc:aa35d99a43dcd0ef267fe65200c747478"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets preferred view distance, which persists between game sessions.  <a href="../../d3/d21/class_world.html#aa35d99a43dcd0ef267fe65200c747478">More...</a><br /></td></tr>
<tr class="separator:aa35d99a43dcd0ef267fe65200c747478"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeb271f029205af85f5c0b3d2d35cf72"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#adeb271f029205af85f5c0b3d2d35cf72">SetViewDistance</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> distance)</td></tr>
<tr class="separator:adeb271f029205af85f5c0b3d2d35cf72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b25df692656354c2d96fb7aa4128ba2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a0b25df692656354c2d96fb7aa4128ba2">SetObjectViewDistance</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> distance)</td></tr>
<tr class="separator:a0b25df692656354c2d96fb7aa4128ba2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81724bbbbd084aa0f80f2a90ca688319"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a81724bbbbd084aa0f80f2a90ca688319">LoadNewLightingCfg</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>)</td></tr>
<tr class="separator:a81724bbbbd084aa0f80f2a90ca688319"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ca865cb88c7357d2c3d105053a9ea17"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../de/dc4/class_a_i_world.html">AIWorld</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a0ca865cb88c7357d2c3d105053a9ea17">GetAIWorld</a> ()</td></tr>
<tr class="separator:a0ca865cb88c7357d2c3d105053a9ea17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf66c7d2591ea52bcf09e966c5ff26c2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../dc/dee/class_material.html">Material</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#abf66c7d2591ea52bcf09e966c5ff26c2">GetMaterial</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> materialName)</td></tr>
<tr class="separator:abf66c7d2591ea52bcf09e966c5ff26c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae402b6cb8f5670ac371847fdd922ae28"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#ae402b6cb8f5670ac371847fdd922ae28">SetCameraPostProcessEffect</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> cam, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ppEffect, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> effectName, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> materialName)</td></tr>
<tr class="separator:ae402b6cb8f5670ac371847fdd922ae28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae195a5d0545cfe59b8f4c88188becdcf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#ae195a5d0545cfe59b8f4c88188becdcf">SetAperture</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> invDiameter)</td></tr>
<tr class="separator:ae195a5d0545cfe59b8f4c88188becdcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e80cbecb1e826a1c9dd7471d4ba772e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a0e80cbecb1e826a1c9dd7471d4ba772e">Is3rdPersonDisabled</a> ()</td></tr>
<tr class="separator:a0e80cbecb1e826a1c9dd7471d4ba772e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24c1d7ce76f2837ad8cdc84774dac3ef"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a24c1d7ce76f2837ad8cdc84774dac3ef">IsCrosshairDisabled</a> ()</td></tr>
<tr class="separator:a24c1d7ce76f2837ad8cdc84774dac3ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb85b7d84c080ac1dfb9afbbb3cf7132"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#abb85b7d84c080ac1dfb9afbbb3cf7132">IsMouseAndKeyboardEnabledOnServer</a> ()</td></tr>
<tr class="separator:abb85b7d84c080ac1dfb9afbbb3cf7132"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fcd759a890637bad89a54924875fbc2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a2fcd759a890637bad89a54924875fbc2">DisableTransmitVoN</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> disable)</td></tr>
<tr class="separator:a2fcd759a890637bad89a54924875fbc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a235eb2db84d88c1db44367eefecdb37d"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a235eb2db84d88c1db44367eefecdb37d">DisableReceiveVoN</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> disable)</td></tr>
<tr class="separator:a235eb2db84d88c1db44367eefecdb37d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93300c0a91b833a17a5dc06bceda37b0"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a93300c0a91b833a17a5dc06bceda37b0">IsDisabledTransmitingVoN</a> ()</td></tr>
<tr class="separator:a93300c0a91b833a17a5dc06bceda37b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6d614087909042fb64168d1cc191a34"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#ae6d614087909042fb64168d1cc191a34">IsDisabledReceivingVoN</a> ()</td></tr>
<tr class="separator:ae6d614087909042fb64168d1cc191a34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae07895c991aa103f476c913ff1e55b81"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#ae07895c991aa103f476c913ff1e55b81">SetVoiceOn</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> listening, <a class="el" href="../../d9/db9/classbool.html">bool</a> toggled=false)</td></tr>
<tr class="separator:ae07895c991aa103f476c913ff1e55b81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66691dd034623903e910a07d04a4e410"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a66691dd034623903e910a07d04a4e410">FlattenGrassSphere</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> z, <a class="el" href="../../d4/dc3/classfloat.html">float</a> radius, <a class="el" href="../../d4/dc3/classfloat.html">float</a> centerLerp01, <a class="el" href="../../d4/dc3/classfloat.html">float</a> timeDown01, <a class="el" href="../../d4/dc3/classfloat.html">float</a> maxHeight01)</td></tr>
<tr class="separator:a66691dd034623903e910a07d04a4e410"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c7b2024499dd8357ce297823fe03156"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a6c7b2024499dd8357ce297823fe03156">FlattenGrassEllipse</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> z, <a class="el" href="../../d4/dc3/classfloat.html">float</a> sideX, <a class="el" href="../../d4/dc3/classfloat.html">float</a> sideZ, <a class="el" href="../../d4/dc3/classfloat.html">float</a> offset, <a class="el" href="../../d4/dc3/classfloat.html">float</a> angleRAD, <a class="el" href="../../d4/dc3/classfloat.html">float</a> centerLerp01, <a class="el" href="../../d4/dc3/classfloat.html">float</a> timeDown01, <a class="el" href="../../d4/dc3/classfloat.html">float</a> maxHeight01)</td></tr>
<tr class="separator:a6c7b2024499dd8357ce297823fe03156"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b2542d451867f0a86d556a665d28fee"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a8b2542d451867f0a86d556a665d28fee">FlattenGrassBox</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> z, <a class="el" href="../../d4/dc3/classfloat.html">float</a> side, <a class="el" href="../../d4/dc3/classfloat.html">float</a> angleRAD, <a class="el" href="../../d4/dc3/classfloat.html">float</a> centerLerp01, <a class="el" href="../../d4/dc3/classfloat.html">float</a> timeDown01, <a class="el" href="../../d4/dc3/classfloat.html">float</a> maxHeight01)</td></tr>
<tr class="separator:a8b2542d451867f0a86d556a665d28fee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6274560dc373406e316c89a22da6d425"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d21/class_world.html#a6274560dc373406e316c89a22da6d425">FlattenGrassRect</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> z, <a class="el" href="../../d4/dc3/classfloat.html">float</a> sideX, <a class="el" href="../../d4/dc3/classfloat.html">float</a> sideZ, <a class="el" href="../../d4/dc3/classfloat.html">float</a> offset, <a class="el" href="../../d4/dc3/classfloat.html">float</a> angleRAD, <a class="el" href="../../d4/dc3/classfloat.html">float</a> centerLerp01, <a class="el" href="../../d4/dc3/classfloat.html">float</a> timeDown01, <a class="el" href="../../d4/dc3/classfloat.html">float</a> maxHeight01)</td></tr>
<tr class="separator:a6274560dc373406e316c89a22da6d425"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/d80/_world_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d80/_world_8c_source.html">World.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="af0755f5486fc923b410e30f324f65ba2" name="af0755f5486fc923b410e30f324f65ba2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0755f5486fc923b410e30f324f65ba2">&#9670;&#160;</a></span>CheckSoundObstruction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void World::CheckSoundObstruction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>inSource</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>obstruction</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>occlusion</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a235eb2db84d88c1db44367eefecdb37d" name="a235eb2db84d88c1db44367eefecdb37d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a235eb2db84d88c1db44367eefecdb37d">&#9670;&#160;</a></span>DisableReceiveVoN()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> World::DisableReceiveVoN </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>disable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >enable/disable receiving all voice over network globally </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">disable</td><td>if true, then player is not able listen any voice from VoN </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if mute request was sent successfully to server. If false, then was problem with sent request or missing player idendity. </dd></dl>

</div>
</div>
<a id="a2fcd759a890637bad89a54924875fbc2" name="a2fcd759a890637bad89a54924875fbc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fcd759a890637bad89a54924875fbc2">&#9670;&#160;</a></span>DisableTransmitVoN()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::DisableTransmitVoN </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>disable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >enable/disable transmiting voice over network globally </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">disable</td><td>if true, then VoN is no more usable for transmiting voice </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8b2542d451867f0a86d556a665d28fee" name="a8b2542d451867f0a86d556a665d28fee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b2542d451867f0a86d556a665d28fee">&#9670;&#160;</a></span>FlattenGrassBox()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::FlattenGrassBox </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>side</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>angleRAD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>centerLerp01</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>timeDown01</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>maxHeight01</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >create box </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">worldX</td><td>world X of touch with ground </td></tr>
    <tr><td class="paramname">worldZ</td><td>world X of touch with ground </td></tr>
    <tr><td class="paramname">sideSize</td><td>size of side </td></tr>
    <tr><td class="paramname">angleRAD</td><td>rotation </td></tr>
    <tr><td class="paramname">centerLerp01</td><td>lerp of values inside rasterization </td></tr>
    <tr><td class="paramname">timeDown01</td><td>relative speed of going down, 1 is usually 0.5secs </td></tr>
    <tr><td class="paramname">maxHeight01</td><td>maximum relative height of flattening, 0 = no flatten </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6c7b2024499dd8357ce297823fe03156" name="a6c7b2024499dd8357ce297823fe03156"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c7b2024499dd8357ce297823fe03156">&#9670;&#160;</a></span>FlattenGrassEllipse()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::FlattenGrassEllipse </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>sideX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>sideZ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>angleRAD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>centerLerp01</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>timeDown01</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>maxHeight01</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >create ellipse </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">worldX</td><td>world X of touch with ground </td></tr>
    <tr><td class="paramname">worldZ</td><td>world X of touch with ground </td></tr>
    <tr><td class="paramname">radiusX</td><td>radius in X coord before rotate </td></tr>
    <tr><td class="paramname">radiusZ</td><td>radius in Z coord before rotate </td></tr>
    <tr><td class="paramname">offset</td><td>offset, 0 = default center, &lt;-1, 1&gt; </td></tr>
    <tr><td class="paramname">angleRAD</td><td>rotation </td></tr>
    <tr><td class="paramname">centerLerp01</td><td>lerp of values inside rasterization </td></tr>
    <tr><td class="paramname">timeDown01</td><td>relative speed of going down, 1 is usually 0.5secs </td></tr>
    <tr><td class="paramname">maxHeight01</td><td>maximum relative height of flattening, 0 = no flatten </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6274560dc373406e316c89a22da6d425" name="a6274560dc373406e316c89a22da6d425"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6274560dc373406e316c89a22da6d425">&#9670;&#160;</a></span>FlattenGrassRect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::FlattenGrassRect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>sideX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>sideZ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>angleRAD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>centerLerp01</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>timeDown01</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>maxHeight01</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >create rectangle </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">worldX</td><td>world X of touch with ground </td></tr>
    <tr><td class="paramname">worldZ</td><td>world X of touch with ground </td></tr>
    <tr><td class="paramname">sideXSize</td><td>size of side in X </td></tr>
    <tr><td class="paramname">sideZSize</td><td>size of side in Z </td></tr>
    <tr><td class="paramname">offset</td><td>offset, 0 = default center, &lt;-1, 1&gt; </td></tr>
    <tr><td class="paramname">angleRAD</td><td>rotation </td></tr>
    <tr><td class="paramname">centerLerp01</td><td>lerp of values inside rasterization </td></tr>
    <tr><td class="paramname">timeDown01</td><td>relative speed of going down, 1 is usually 0.5secs </td></tr>
    <tr><td class="paramname">maxHeight01</td><td>maximum relative height of flattening, 0 = no flatten </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a66691dd034623903e910a07d04a4e410" name="a66691dd034623903e910a07d04a4e410"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66691dd034623903e910a07d04a4e410">&#9670;&#160;</a></span>FlattenGrassSphere()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::FlattenGrassSphere </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>centerLerp01</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>timeDown01</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>maxHeight01</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >create sphere </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">worldX</td><td>world X of touch with ground </td></tr>
    <tr><td class="paramname">worldZ</td><td>world X of touch with ground </td></tr>
    <tr><td class="paramname">radius</td><td>radius </td></tr>
    <tr><td class="paramname">centerLerp01</td><td>lerp of values inside rasterization </td></tr>
    <tr><td class="paramname">timeDown01</td><td>relative speed of going down, 1 is usually 0.5secs </td></tr>
    <tr><td class="paramname">maxHeight01</td><td>maximum relative height of flattening, 0 = no flatten </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0ca865cb88c7357d2c3d105053a9ea17" name="a0ca865cb88c7357d2c3d105053a9ea17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ca865cb88c7357d2c3d105053a9ea17">&#9670;&#160;</a></span>GetAIWorld()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../de/dc4/class_a_i_world.html">AIWorld</a> World::GetAIWorld </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af8c8e4358cb14de9ab965669b9303ecf" name="af8c8e4358cb14de9ab965669b9303ecf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8c8e4358cb14de9ab965669b9303ecf">&#9670;&#160;</a></span>GetDate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void World::GetDate </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>year</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>month</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>day</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>hour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>minute</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get actual ingame world time. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">year</td><td></td></tr>
    <tr><td class="paramname">month</td><td>in range &lt;1, 12&gt; </td></tr>
    <tr><td class="paramname">day</td><td>in range &lt;1, 31&gt; </td></tr>
    <tr><td class="paramname">hour</td><td>in range &lt;0, 23&gt; </td></tr>
    <tr><td class="paramname">minute</td><td>in range &lt;0, 59&gt; <div class="fragment"><div class="line"><span class="keywordtype">int</span> year, month, day, hour, minute;</div>
<div class="line"><a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a322bb8e52393bc8d5f47d7f10d49fba3">GetWorld</a>().<a class="code hl_function" href="../../d3/d21/class_world.html#af8c8e4358cb14de9ab965669b9303ecf">GetDate</a>(year, month, day, hour, minute);</div>
<div class="ttc" id="aclass_c_game_html_a322bb8e52393bc8d5f47d7f10d49fba3"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a322bb8e52393bc8d5f47d7f10d49fba3">CGame::GetWorld</a></div><div class="ttdeci">proto native World GetWorld()</div></div>
<div class="ttc" id="aclass_world_html_af8c8e4358cb14de9ab965669b9303ecf"><div class="ttname"><a href="../../d3/d21/class_world.html#af8c8e4358cb14de9ab965669b9303ecf">World::GetDate</a></div><div class="ttdeci">proto void GetDate(out int year, out int month, out int day, out int hour, out int minute)</div><div class="ttdoc">Get actual ingame world time.</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7d508464bc7e47cec3bc13b867f968bc" name="a7d508464bc7e47cec3bc13b867f968bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d508464bc7e47cec3bc13b867f968bc">&#9670;&#160;</a></span>GetEyeAccom()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> World::GetEyeAccom </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad4fb6d37f20a98fa6b8b0f61cd5b7afc" name="ad4fb6d37f20a98fa6b8b0f61cd5b7afc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4fb6d37f20a98fa6b8b0f61cd5b7afc">&#9670;&#160;</a></span>GetLatitude()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> World::GetLatitude </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac2f333fa9be898a7e6ad8538f9570526" name="ac2f333fa9be898a7e6ad8538f9570526"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2f333fa9be898a7e6ad8538f9570526">&#9670;&#160;</a></span>GetLongitude()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> World::GetLongitude </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abf66c7d2591ea52bcf09e966c5ff26c2" name="abf66c7d2591ea52bcf09e966c5ff26c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf66c7d2591ea52bcf09e966c5ff26c2">&#9670;&#160;</a></span>GetMaterial()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../dc/dee/class_material.html">Material</a> World::GetMaterial </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>materialName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div class="fragment"><div class="line"><a class="code hl_class" href="../../dc/dee/class_material.html">Material</a> matColors = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a322bb8e52393bc8d5f47d7f10d49fba3">GetWorld</a>().<a class="code hl_function" href="../../d3/d21/class_world.html#abf66c7d2591ea52bcf09e966c5ff26c2">GetMaterial</a>(<span class="stringliteral">&quot;postprocess/glow&quot;</span>);</div>
<div class="line">SetMaterialParam(matColors, <span class="stringliteral">&quot;Saturation&quot;</span>, 0.8);</div>
<div class="line"><span class="keywordtype">float</span> color[4];</div>
<div class="line">color[0] = 0.5;</div>
<div class="line">color[1] = 0.8;</div>
<div class="line">color[2] = 0.7;</div>
<div class="line">color[3] = 0.6;</div>
<div class="line">SetMaterialParam(matColors, <span class="stringliteral">&quot;OverlayColor&quot;</span>, color);</div>
<div class="ttc" id="aclass_material_html"><div class="ttname"><a href="../../dc/dee/class_material.html">Material</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3d/proto_8c_source.html#l00267">proto.c:268</a></div></div>
<div class="ttc" id="aclass_world_html_abf66c7d2591ea52bcf09e966c5ff26c2"><div class="ttname"><a href="../../d3/d21/class_world.html#abf66c7d2591ea52bcf09e966c5ff26c2">World::GetMaterial</a></div><div class="ttdeci">proto native Material GetMaterial(string materialName)</div></div>
</div><!-- fragment --> 
</div>
</div>
<a id="a59c8af79a1b477a7016fc1dfbaf3bcdd" name="a59c8af79a1b477a7016fc1dfbaf3bcdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59c8af79a1b477a7016fc1dfbaf3bcdd">&#9670;&#160;</a></span>GetMoonIntensity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> World::GetMoonIntensity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afa892b4089f81ee6c1551ff56ae67e60" name="afa892b4089f81ee6c1551ff56ae67e60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa892b4089f81ee6c1551ff56ae67e60">&#9670;&#160;</a></span>GetPlayerList()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::GetPlayerList </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; Man &gt;&#160;</td>
          <td class="paramname"><em>players</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a82407d67e066df102b4ec4b48f7a2f" name="a2a82407d67e066df102b4ec4b48f7a2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a82407d67e066df102b4ec4b48f7a2f">&#9670;&#160;</a></span>GetSunOrMoon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> World::GetSunOrMoon </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e80cbecb1e826a1c9dd7471d4ba772e" name="a0e80cbecb1e826a1c9dd7471d4ba772e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e80cbecb1e826a1c9dd7471d4ba772e">&#9670;&#160;</a></span>Is3rdPersonDisabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> World::Is3rdPersonDisabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >checks if 3rd person camera is disabled from server </p>

</div>
</div>
<a id="a24c1d7ce76f2837ad8cdc84774dac3ef" name="a24c1d7ce76f2837ad8cdc84774dac3ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24c1d7ce76f2837ad8cdc84774dac3ef">&#9670;&#160;</a></span>IsCrosshairDisabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> World::IsCrosshairDisabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >checks if crosshair is disabled from server </p>

</div>
</div>
<a id="ae6d614087909042fb64168d1cc191a34" name="ae6d614087909042fb64168d1cc191a34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6d614087909042fb64168d1cc191a34">&#9670;&#160;</a></span>IsDisabledReceivingVoN()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> World::IsDisabledReceivingVoN </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>true, if receiving voice over network is disabled, so player can not listen anybody </dd></dl>

</div>
</div>
<a id="a93300c0a91b833a17a5dc06bceda37b0" name="a93300c0a91b833a17a5dc06bceda37b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93300c0a91b833a17a5dc06bceda37b0">&#9670;&#160;</a></span>IsDisabledTransmitingVoN()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> World::IsDisabledTransmitingVoN </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>true if transmiting voice over network is disabled, so player can not talking </dd></dl>

</div>
</div>
<a id="abb85b7d84c080ac1dfb9afbbb3cf7132" name="abb85b7d84c080ac1dfb9afbbb3cf7132"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb85b7d84c080ac1dfb9afbbb3cf7132">&#9670;&#160;</a></span>IsMouseAndKeyboardEnabledOnServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> World::IsMouseAndKeyboardEnabledOnServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >checks if mouse and keyboard is enabled from server (only on console) </p>

</div>
</div>
<a id="ac5b322dd815ca84752d1abb46e884f90" name="ac5b322dd815ca84752d1abb46e884f90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5b322dd815ca84752d1abb46e884f90">&#9670;&#160;</a></span>IsNight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> World::IsNight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a81724bbbbd084aa0f80f2a90ca688319" name="a81724bbbbd084aa0f80f2a90ca688319"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81724bbbbd084aa0f80f2a90ca688319">&#9670;&#160;</a></span>LoadNewLightingCfg()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::LoadNewLightingCfg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae195a5d0545cfe59b8f4c88188becdcf" name="ae195a5d0545cfe59b8f4c88188becdcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae195a5d0545cfe59b8f4c88188becdcf">&#9670;&#160;</a></span>SetAperture()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void World::SetAperture </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>invDiameter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d80/_world_8c_source.html#l00091">91</a> of file <a class="el" href="../../d1/d80/_world_8c_source.html">World.c</a>.</p>

</div>
</div>
<a id="a023787857401db35d4a21aa7640fa1f0" name="a023787857401db35d4a21aa7640fa1f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a023787857401db35d4a21aa7640fa1f0">&#9670;&#160;</a></span>SetBuldozerWaterEnabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::SetBuldozerWaterEnabled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae402b6cb8f5670ac371847fdd922ae28" name="ae402b6cb8f5670ac371847fdd922ae28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae402b6cb8f5670ac371847fdd922ae28">&#9670;&#160;</a></span>SetCameraPostProcessEffect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::SetCameraPostProcessEffect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>ppEffect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>effectName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>materialName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >set new PP effect and its material </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">camera</td><td>number of camera </td></tr>
    <tr><td class="paramname">effectIndex</td><td>index of effect </td></tr>
    <tr><td class="paramname">effectName</td><td>name of effect </td></tr>
    <tr><td class="paramname">matName</td><td>name of material </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aad51a579705dde037e07412794007c61" name="aad51a579705dde037e07412794007c61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad51a579705dde037e07412794007c61">&#9670;&#160;</a></span>SetDate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::SetDate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>year</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>month</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>day</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>hour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>minute</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets actual ingame world time. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">year</td><td></td></tr>
    <tr><td class="paramname">month</td><td>in range &lt;1, 12&gt; </td></tr>
    <tr><td class="paramname">day</td><td>in range &lt;1, 31&gt; </td></tr>
    <tr><td class="paramname">hour</td><td>in range &lt;0, 23&gt; </td></tr>
    <tr><td class="paramname">minute</td><td>in range &lt;0, 59&gt; <div class="fragment"><div class="line"><span class="keywordtype">int</span> year = 2016;</div>
<div class="line"><span class="keywordtype">int</span> month = 5;</div>
<div class="line"><span class="keywordtype">int</span> day = 4;</div>
<div class="line"><span class="keywordtype">int</span> hour = 14;</div>
<div class="line"><span class="keywordtype">int</span> minute = 57;</div>
<div class="line"><a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a322bb8e52393bc8d5f47d7f10d49fba3">GetWorld</a>().<a class="code hl_function" href="../../d3/d21/class_world.html#aad51a579705dde037e07412794007c61">SetDate</a>(year, month, day, hour, minute);</div>
<div class="ttc" id="aclass_world_html_aad51a579705dde037e07412794007c61"><div class="ttname"><a href="../../d3/d21/class_world.html#aad51a579705dde037e07412794007c61">World::SetDate</a></div><div class="ttdeci">proto native void SetDate(int year, int month, int day, int hour, int minute)</div><div class="ttdoc">Sets actual ingame world time.</div></div>
</div><!-- fragment --> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8863b89ecd9c4db97fa469efc3d322b3" name="a8863b89ecd9c4db97fa469efc3d322b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8863b89ecd9c4db97fa469efc3d322b3">&#9670;&#160;</a></span>SetEyeAccom()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::SetEyeAccom </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>eyeAccom</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b25df692656354c2d96fb7aa4128ba2" name="a0b25df692656354c2d96fb7aa4128ba2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b25df692656354c2d96fb7aa4128ba2">&#9670;&#160;</a></span>SetObjectViewDistance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::SetObjectViewDistance </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>distance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa35d99a43dcd0ef267fe65200c747478" name="aa35d99a43dcd0ef267fe65200c747478"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa35d99a43dcd0ef267fe65200c747478">&#9670;&#160;</a></span>SetPreferredViewDistance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::SetPreferredViewDistance </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>distance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets preferred view distance, which persists between game sessions. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">distance</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="adeb271f029205af85f5c0b3d2d35cf72" name="adeb271f029205af85f5c0b3d2d35cf72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adeb271f029205af85f5c0b3d2d35cf72">&#9670;&#160;</a></span>SetViewDistance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::SetViewDistance </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>distance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae07895c991aa103f476c913ff1e55b81" name="ae07895c991aa103f476c913ff1e55b81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae07895c991aa103f476c913ff1e55b81">&#9670;&#160;</a></span>SetVoiceOn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void World::SetVoiceOn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>listening</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>toggled</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >enables/disables player's voice communication </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">listening</td><td>enable or disable microphone </td></tr>
    <tr><td class="paramname">toggled</td><td>enable or disable PTT/Voice activation </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a254a056085f1478dd4921c7d6c01d81a" name="a254a056085f1478dd4921c7d6c01d81a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a254a056085f1478dd4921c7d6c01d81a">&#9670;&#160;</a></span>StartFpsBenchmark()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::StartFpsBenchmark </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>sectorsCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>preloadDistance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fpsLimitRed</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fpsLimitGreen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fpsLimitBlue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>minX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>minY</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>maxX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>maxY</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af26f142ee60875a3359b3d2d7ceed5e5" name="af26f142ee60875a3359b3d2d7ceed5e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af26f142ee60875a3359b3d2d7ceed5e5">&#9670;&#160;</a></span>StartFpsBenchmarkViews()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::StartFpsBenchmarkViews </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>xmlFileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>preloadDistance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a24e3e498f42edc14543934e7ffedefc8" name="a24e3e498f42edc14543934e7ffedefc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24e3e498f42edc14543934e7ffedefc8">&#9670;&#160;</a></span>StartFpsBenchmarkWithMask()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void World::StartFpsBenchmarkWithMask </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>preloadDistance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fpsLimitRed</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fpsLimitGreen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fpsLimitBlue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Global/<a class="el" href="../../d1/d80/_world_8c_source.html">World.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d21/class_world.html">World</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
